package contact_field_template

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/contact_field_template"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /contact_field_template/delete contact_field_template DeleteContactFieldTemplate
//
// Delete contact_field_template information | 删除 ContactFieldTemplate 信息
//
// Delete contact_field_template information | 删除 ContactFieldTemplate 信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteContactFieldTemplateHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := contact_field_template.NewDeleteContactFieldTemplateLogic(r.Context(), svcCtx)
		resp, err := l.DeleteContactFieldTemplate(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
